> ## Documentation Index
> Fetch the complete documentation index at: https://cobo-docs-feature-cobo-cli.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transactions By Request ID

> <Note>This content applies to WaaS 1.0 only. We highly recommend that you upgrade to [WaaS 2.0](https://www.cobo.com/developers/v2/guides/overview/introduction).</Note> This endpoint returns a JSON response containing transaction information for a list of transaction request IDs. The response includes the transaction ID, request ID, status, and other relevant information. The endpoint requires authentication and accepts optional query parameters to filter the results by transaction status.

<Tip> FAQ：[How to query the transaction details of a batch withdraw request?](/v1/faqs/transaction-management#how-to-query-the-transaction-details-of-a-batch-withdrawal-request)</Tip>

#### Request

<ParamField query="request_ids" type="String" required>Transaction request IDs; separated by commas; the number of IDs must be greater than 0 and less than 50</ParamField>

<ParamField query="status" type="Int">
  | Status Type           | Code |
  | --------------------- | ---- |
  | PENDING\_APPROVAL     | 101  |
  | QUEUED                | 201  |
  | PENDING\_SIGNATURE    | 301  |
  | BROADCASTING          | 401  |
  | BROADCAST\_FAILED     | 402  |
  | PENDING\_CONFIRMATION | 403  |
  | CONFIRMATION          | 501  |
  | REVERTING             | 502  |
  | SUCCESS               | 900  |
  | FAILED                | 901  |

  <Tip>The 403 status indicates that the transaction has been successfully broadcast but not yet confirmed, while the 501 status indicates that the transaction has been successfully confirmed on the blockchain and is awaiting further confirmations.</Tip>
</ParamField>

#### Response

<ResponseField name="success" type="bool">request successful or failed</ResponseField>

<ResponseField name="result" type="object">
  <Expandable title="object">
    <Snippet file="mpc_transaction_snippet.mdx" />
  </Expandable>
</ResponseField>

<RequestExample>
  ```python Python
  request(
      "GET",
      "/v1/custody/mpc/transactions_by_request_ids/",
      {
          "request_ids": "web_send_by_user_915_1671699717647",
          "status": 101
      },
      api_key, api_secret, host
  )
  ```

  ```javascript JavaScript
  coboFetch('GET', '/v1/custody/mpc/transactions_by_request_ids/', {
      "request_ids": "web_send_by_user_915_1671699717647",
      "status": 101
  }, api_key, api_secret, host)
      .then(res => {
          res.json().then((data)=>{
              console.log(JSON.stringify(data, null, 4));
          })
      }).catch(err => {
          console.log(err)
      });
  ```

  ```go Go
  Request("GET", "/v1/custody/mpc/transactions_by_request_ids/", map[string]string{
      "request_ids": "web_send_by_user_915_1671699717647",
      "status": 101
  })
  ```
</RequestExample>

<ResponseExample>
  ```json
  {
    "success": true,
    "result": {
      "total": 28,
      "transactions": [
        {
          "cobo_id": "20221222170157000336673000008161",
          "request_id": "web_send_by_user_915_1671699717647",
          "status": 101,
          "coin_detail": {
            "coin": "GETH",
            "display_code": "GETH",
            "description": "Ethereum Goerli Testnet",
            "decimal": 18,
            "can_deposit": True,
            "can_withdraw": True,
            "confirming_threshold": 32
          },
          "amount_detail": {
            "amount": "9000000000000000",
            "abs_amount": "0.009"
          },
          "fee_detail": {
            "fee_coin_detail": {
              "coin": "GETH",
              "display_code": "GETH",
              "description": "Ethereum Goerli Testnet",
              "decimal": 18,
              "can_deposit": True,
              "can_withdraw": True,
              "confirming_threshold": 32
            },
            "gas_price": 300000000,
            "gas_limit": 21000,
            "fee_used": 0
          },
          "source_addresses": "",
          "from_address": "0x3ede1e59a3f3a66de4260df7ba3029b515337e5c",
          "to_address": "0x9414933Ff7777bb28cA22D15c178596A6e58d957",
          "tx_hash": "",
          "vout_n": 0,
          "nonce": null,
          "confirmed_number": 0,
          "replace_cobo_id": "",
          "transaction_type": 303,
          "operation": 100,
          "block_detail": {
            "block_hash": "",
            "block_height": 0,
            "block_time": 0
          },
          "tx_detail": {
            "tx_hash": ""
          },
          "extra_parameters": "",
          "created_time": 1671699717956,
          "updated_time": 1671699717956,
          "failed_reason": null,
          "max_priority_fee": null,
          "max_fee": null,
          "approval_process": {"spender_result": 1, "spender_review_threshold": 1, "spender_status": [{"spender_person": "Cobo_Test_spender", "status": "approve"}], "spender_complete_time": 1681906749496, "approver_result": 1, "approver_review_threshold": 1, "approver_status": [{"approve_person": "Cobo_Test_approver", "status": "approve"}], "approver_complete_time": 1681906758619},
          "remark": "",
          "memo": "",
          "gas_station_child_id": ""
        }
      ]
    }
  }

  ```
</ResponseExample>
